SPECS: macromedia-flash.spec - use non-expanding heredoc redirecti...

glen glen at pld-linux.org
Tue Aug 23 18:45:39 CEST 2005


Author: glen                         Date: Tue Aug 23 16:45:39 2005 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- use non-expanding heredoc redirection for readiness

---- Files affected:
SPECS:
   macromedia-flash.spec (1.24 -> 1.25) 

---- Diffs:

================================================================
Index: SPECS/macromedia-flash.spec
diff -u SPECS/macromedia-flash.spec:1.24 SPECS/macromedia-flash.spec:1.25
--- SPECS/macromedia-flash.spec:1.24	Fri Jan 21 23:21:34 2005
+++ SPECS/macromedia-flash.spec	Tue Aug 23 18:45:34 2005
@@ -12,7 +12,7 @@
 Name:		%{base_name}-installer
 %endif
 Version:	7.0r25
-Release:	2%{?with_license_agreement:wla}
+Release:	2%{?with_license_agreement:wla}.1
 License:	Free to use, non-distributable
 Group:		X11/Applications/Multimedia
 %if %{with license_agreement}
@@ -82,38 +82,37 @@
 %if ! %{with license_agreement}
 install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}
 
-cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{base_name}.install
+cat <<'EOF' >$RPM_BUILD_ROOT%{_bindir}/%{base_name}.install
 #!/bin/sh
-if [ "\$1" = "--with" -a "\$2" = "license_agreement" ]; then
-	TMPDIR=\`rpm --eval "%%{tmpdir}"\`; export TMPDIR
-	SPECDIR=\`rpm --eval "%%{_specdir}"\`; export SPECDIR
-	SRPMDIR=\`rpm --eval "%%{_srcrpmdir}"\`; export SRPMDIR
-	SOURCEDIR=\`rpm --eval "%%{_sourcedir}"\`; export SOURCEDIR
-	BUILDDIR=\`rpm --eval "%%{_builddir}"\`; export BUILDDIR
-	RPMDIR=\`rpm --eval "%%{_rpmdir}"\`; export RPMDIR
+if [ "$1" = "--with" -a "$2" = "license_agreement" ]; then
+	TMPDIR=`rpm --eval "%%{tmpdir}"`; export TMPDIR
+	SPECDIR=`rpm --eval "%%{_specdir}"`; export SPECDIR
+	SRPMDIR=`rpm --eval "%%{_srcrpmdir}"`; export SRPMDIR
+	SOURCEDIR=`rpm --eval "%%{_sourcedir}"`; export SOURCEDIR
+	BUILDDIR=`rpm --eval "%%{_builddir}"`; export BUILDDIR
+	RPMDIR=`rpm --eval "%%{_rpmdir}"`; export RPMDIR
 	BACKUP=0
-	mkdir -p \$TMPDIR \$SPECDIR \$SRPMDIR \$RPMDIR \$SRPMDIR \$SOURCEDIR \$BUILDDIR
-	if [ -f \$SPECDIR/%{base_name}.spec ]; then
+	mkdir -p $TMPDIR $SPECDIR $SRPMDIR $RPMDIR $SRPMDIR $SOURCEDIR $BUILDDIR
+	if [ -f $SPECDIR/%{base_name}.spec ]; then
 		BACKUP=1
-		mv -f \$SPECDIR/%{base_name}.spec \$SPECDIR/%{base_name}.spec.prev
+		mv -f $SPECDIR/%{base_name}.spec $SPECDIR/%{base_name}.spec.prev
 	fi
-	if echo "\$3" | grep '\.src\.rpm$' >/dev/null; then
-		( cd \$SRPMDIR
-		if echo "\$3" | grep '://' >/dev/null; then
-			wget --passive-ftp -t0 "\$3"
+	if echo "$3" | grep '\.src\.rpm$' >/dev/null; then
+		( cd $SRPMDIR
+		if echo "$3" | grep '://' >/dev/null; then
+			wget --passive-ftp -t0 "$3"
 		else
-			cp -f "\$3" .
+			cp -f "$3" .
 		fi
-		rpm2cpio \`basename "\$3"\` | ( cd \$TMPDIR; cpio -i %{base_name}.spec )
+		rpm2cpio `basename "$3"` | ( cd $TMPDIR; cpio -i %{base_name}.spec )
 		)
-		cp -i \$TMPDIR/%{base_name}.spec \$SPECDIR/%{base_name}.spec \
-			|| exit 1
+		cp -i $TMPDIR/%{base_name}.spec $SPECDIR/%{base_name}.spec || exit 1
 	else
-		cp -i "\$3" \$SPECDIR || exit 1
+		cp -i "$3" $SPECDIR || exit 1
 	fi
-	( cd \$SPECDIR
+	( cd $SPECDIR
 	%{_bindir}/builder -nc -ncs --with license_agreement --opts --target=%{_target_cpu} %{base_name}.spec
-	if [ "\$?" -ne 0 ]; then
+	if [ "$?" -ne 0 ]; then
 		exit 2
 	fi
 	RPMNAME1=mozilla-plugin-macromedia-flash-%{version}-%{release}wla.%{_target_cpu}.rpm
@@ -121,28 +120,27 @@
 	RPMNAME3=konqueror-plugin-macromedia-flash-%{version}-%{release}wla.%{_target_cpu}.rpm
 	RPMNAMES=
 	if rpm -q --whatprovides mozilla-embedded >/dev/null 2>&1; then
-		RPMNAMES=\$RPMDIR/\$RPMNAME1
-		echo "Installing \$RPMNAME1"
+		RPMNAMES=$RPMDIR/$RPMNAME1
+		echo "Installing $RPMNAME1"
 	else
-		echo "Not installing \$RPMNAME1"
+		echo "Not installing $RPMNAME1"
 	fi
 	if rpm -q mozilla-firefox >/dev/null 2>&1; then
-		RPMNAMES="\$RPMNAMES \$RPMDIR/\$RPMNAME2"
-		echo "Installing \$RPMNAME2"
+		RPMNAMES="$RPMNAMES $RPMDIR/$RPMNAME2"
+		echo "Installing $RPMNAME2"
 	else
-		echo "Not installing \$RPMNAME2"
+		echo "Not installing $RPMNAME2"
 	fi
 	if rpm -q konqueror >/dev/null 2>&1; then
-		RPMNAMES="\$RPMNAMES \$RPMDIR/\$RPMNAME3"
-		echo "Installing \$RPMNAME3"
+		RPMNAMES="$RPMNAMES $RPMDIR/$RPMNAME3"
+		echo "Installing $RPMNAME3"
 	else
-		echo "Not installing \$RPMNAME3"
+		echo "Not installing $RPMNAME3"
 	fi
-	rpm -U \$RPMNAMES || \
-		echo -e "Install manually the file(s):\n   \$RPMNAMES" )
-	if [ "\$BACKUP" -eq 1 ]; then
-		if [ -f \$SPECDIR/%{base_name}.spec.prev ]; then
-			mv -f \$SPECDIR/%{base_name}.spec.prev \$SPECDIR/%{base_name}.spec
+	rpm -U $RPMNAMES || echo -e "Install manually the file(s):\n   $RPMNAMES" )
+	if [ "$BACKUP" -eq 1 ]; then
+		if [ -f $SPECDIR/%{base_name}.spec.prev ]; then
+			mv -f $SPECDIR/%{base_name}.spec.prev $SPECDIR/%{base_name}.spec
 		fi
 	fi
 else
@@ -151,7 +149,7 @@
 this package by default. If you want to create full working
 package please build it with the following command:
 
-\$0 --with license_agreement %{_datadir}/%{base_name}/%{base_name}.spec
+$0 --with license_agreement %{_datadir}/%{base_name}/%{base_name}.spec
 "
 fi
 EOF
@@ -224,6 +222,9 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.25  2005/08/23 16:45:34  glen
+- use non-expanding heredoc redirection for readiness
+
 Revision 1.24  2005/01/21 22:21:34  qboosh
 - don't mention netraider, it's dead
 
@@ -289,7 +290,7 @@
 - updated to version 6.0.79.0
 
 Revision 1.4  2003/03/04 10:47:30  grabba
-added bcond to build in RA environment
+- added bcond to build in RA environment
 
 Revision 1.3  2003/01/13 10:09:05  adgor
 - Prefix /usr
@@ -318,7 +319,7 @@
 - Release 2
 
 Revision 1.6  2002/10/28 12:09:55  grabba
-tested with mozilla 1.0
+- tested with mozilla 1.0
 
 Revision 1.5  2002/10/28 10:56:25  misiek
 - updated to 6.0 beta
@@ -327,7 +328,7 @@
 - updated to 5.0r51
 
 Revision 1.3  2002/08/18 12:34:00  blues
-license fix
+- license fix
 
 Revision 1.2  2002/08/12 18:27:34  blues
 - 5.0r50 - SECURITY update
@@ -337,13 +338,13 @@
 - License forbids distribution!
 
 Revision 1.12  2002/04/25 16:18:26  arturs
-fixed a small typo
+- fixed a small typo
 
 Revision 1.11  2002/04/18 10:47:33  misiek
-5.0r48 (still doesn't work with mozilla 0.9.9
+- 5.0r48 (still doesn't work with mozilla 0.9.9
 
 Revision 1.10  2002/03/27 11:05:59  roman
-s/Distribuable/distributable in License
+- s/Distribuable/distributable in License
 
 Revision 1.9  2002/03/24 02:04:52  blues
 - s/Exclude/Exclusive/
@@ -356,13 +357,13 @@
   Group field using gettext).
 
 Revision 1.6  2002/01/28 10:31:00  marcus
--s/%%{x86}/%%{ix86}/g
+- s/%{x86}/%{ix86}/g
 
 Revision 1.5  2002/01/18 02:12:57  kloczek
-perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"
+- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"
 
 Revision 1.4  2001/07/12 14:07:53  kloczek
-- ExcludeArch: %%{ix86}
+- ExcludeArch: %{ix86}
 
 Revision 1.3  2001/07/12 14:04:47  kloczek
 - cosmetics and some minor changes in macros using.
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/macromedia-flash.spec?r1=1.24&r2=1.25&f=u




More information about the pld-cvs-commit mailing list